=== debian/changelog ===
gexec (0.4-3) unstable; urgency=low

  * New maintainer (Closes: #834986)
  * Updated to debhelper 12
  * Deleted trailing whitespace
  * Added Rules-Requires-Root
  * Added upstream/metadata
  * Standards version 4.5.0

 -- Seunghun Han <kkamagui@gmail.com>  Sat, 21 Mar 2020 00:13:36 +0900

gexec (0.4-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group
  * Updated to debhelper 10
  * Enabled build hardening
  * Converted copyright to DEP-5
  * Removed redundant watch file
  * Added homepage
  * Standards version 3.9.8

 -- David William Richmond Jones <dwrj87@gmail.com>  Tue, 22 Nov 2016 08:14:53 +0000

gexec (0.4-1) unstable; urgency=low

  * New upstream release (closes: #413614)
  * debian/gexec.1: removed, it's now included in upstream source

 -- Johann Rudloff <cypheon@gmx.net>  Mon,  2 Apr 2007 10:43:03 +0200

gexec (0.3-1) unstable; urgency=low

  * Initial release

 -- Johann Rudloff <cypheon@gmx.net>  Wed, 17 Jan 2007 07:04:57 +0100
