=== debian/control ===
Source: gexec
Section: x11
Priority: optional
Maintainer: Seunghun Han <kkamagui@gmail.com>
Build-Depends: debhelper (>= 12), libgtk2.0-dev, libglib2.0-dev
Homepage: https://github.com/fboender/gexec
Rules-Requires-Root: no
Standards-Version: 4.5.0

Package: gexec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gksu, xterm
Description: Small command executer with autocompletion using GTK+
 gexec is a small and simple command executer using GTK+. It features
 autocompletition and a command history. Furthermore gexec can run
 the chosen command as root or in a terminal emulator.
