=== debian/changelog ===
gexec (0.5.4.2~ski) unstable; urgency=medium

  * use short description in control file

 -- anticapitalista <antix@operamail.com>  Thu, 04 Jul 2019 16:14:34 +0300
