=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gksu
 Suggests: xterm
-Description: 
+Description: interactive command execution dialog
  gexec displays an interactive command execution dialog (aka runner, runbox).
  Its features include saved history, and options to specify "run in terminal",
  "run as root", and "Keep Open this dialog after launch".
