=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,4 @@
 
 %:
 	dh  $@
+
